libmspub::MSPUBDocument Class Reference

`#include <MSPUBDocument.h>`

## Static Public Member Functions
static PUBAPI bool | isSupported (librevenge::RVNGInputStream *input)
| Analyzes the content of an input stream to see if it can be parsed.
static PUBAPI bool | parse (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| Parses the input stream content.

## Member Function Documentation

## ◆ isSupported()

PUBAPI bool libmspub::MSPUBDocument::isSupported | ( | librevenge::RVNGInputStream * | input | ) |
| static

Analyzes the content of an input stream to see if it can be parsed.

Parameters

  input | The input stream

Returns
  A value that indicates whether the content from the input stream is a Microsoft Publisher Document that libmspub is able to parse

## ◆ parse()

PUBAPI bool libmspub::MSPUBDocument::parse | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter )
| static

Parses the input stream content.

It will make callbacks to the functions provided by a RVNGDrawingInterface class implementation when needed. This is often commonly called the 'main parsing routine'.

Parameters

  input | The input stream
  painter | A MSPUBPainterInterface implementation

Returns
  A value that indicates whether the parsing was successful

The documentation for this class was generated from the following files:

- MSPUBDocument.h
- MSPUBDocument.cpp